ftp_readlink(3)

NAME
ftp_readlink - read a symlink from an FTP server

SYNOPSIS
#include <libfget.h>

int ftp_readlink(FTP *ftp, char *pathname, char *buf, size_t bufsize);

VERSION
This man page documents version 1.2 of libfget.

DESCRIPTION
The ftp_readlink() function reads the symlink specified by pathname from the FTP server associated with ftp and writes the path which the symlink points to into the buffer buf of size bufsize.

RETURN VALUE
The ftp_readlink() function returns 0 on success, or -1 on error (and sets errno).

If errno is set to ECONNRESET, it indicates that the server shut down the connection. The caller is then responsible for calling ftp_quit() with the FTP_FASTCLOSE flag set.

SEE ALSO
ftp_connect(3), readlink(2)